# List all DWH Integrations for the current user.

Endpoint: GET /v1/dwh/
Version: 1.0.0
Security: apiKey

## Response 200 fields (application/json):

  - `items` (array)

  - `items.schedule_type` (string)
    Enum: "none", "daily", "hourly", "weekly", "monthly", "minutes_interval", "cron"

  - `items.schedule_option` (string)
    The schedule value for the schedule_type. For example, if schedule_type is daily, schedule_option should be a time string like 10:00.

  - `items.timezone` (string)
    The timezone of the schedule. For example, UTC or Asia/Tokyo.

  - `items.id` (integer)

  - `items.name` (string)
    The name of the DWH Integration.

  - `items.user_id` (integer)
    The ID of the user who created the DWH Integration.

  - `items.account_id` (integer)
    The TD Account which the DWH Integration belongs to.

  - `items.workflow_project_id` (integer)

  - `items.workflow_project_name` (string)

  - `items.dwh_config_id` (integer)

  - `items.created_at` (string)

  - `items.updated_at` (string)

  - `pagination` (object)

  - `pagination.page` (integer)
    The current page number, start from 1.

  - `pagination.size` (integer)
    The number of items per page

  - `pagination.total_pages` (integer)
    The total number of pages

## Response 400 fields (application/json):

  - `error` (object)

  - `error.code` (integer)
    The HTTP status code

  - `error.title` (string)
    The error title

  - `error.message` (any)
    The error message

  - `error.detail` (object)
    Any extra infomation of the error


